View unanswered posts    View active topics

All times are UTC - 6 hours





Post new topic Reply to topic  [ 23 posts ] 
Go to page Previous  1, 2

Print view Previous topic   Next topic  
Author Message
Search for:
 Post subject:
PostPosted: Sat Mar 07, 2009 8:39 pm 
Offline
Site Admin
Joined: Fri Jun 11, 2004 7:58 am
Posts: 507
Selecting "Works for me" was an accident. I changed it to "Won't fix" because thats the one I meant to select the first time.

The mythtv-vdpau package is completely unsupported. Using VDPAU has been known to damage hardware, so use it at your own risk.


Top
 Profile  
 
 Post subject: Re: yup
PostPosted: Sun Mar 08, 2009 1:07 am 
Offline
Joined: Tue Jan 13, 2009 6:12 am
Posts: 80
AnusFace wrote:
after reverting to the non-vdpau mythtv and mplayer packages everything seems to behave..
maybe try it by hand with more recent patches?
Mythtv won't have support in the main branch

Yup, I see that myth-vdpau is the problem. Thank you for the link! I must say, looking through it now, I have no idea what to do with the files linked to. My Greek is rough.

_________________
==========
Knoppmyth R6 Preview auto - Dell Dimension 2400 2.4 GHz - 1.2gb ram - Sparkle GeForce 8400GS (was MX4000 128MB) PCI TV-out - HDHomeRun dual ATSC over gigabit. It's not Greek to me, just Linux


Last edited by worldpoop on Sun Mar 08, 2009 2:15 am, edited 1 time in total.


Top
 Profile  
 
 Post subject:
PostPosted: Sun Mar 08, 2009 1:11 am 
Offline
Joined: Tue Jan 13, 2009 6:12 am
Posts: 80
Hi Jams, thank you for the reply!!
jams wrote:
Selecting "Works for me" was an accident. I changed it to "Won't fix" because thats the one I meant to select the first time.

The mythtv-vdpau package is completely unsupported. Using VDPAU has been known to damage hardware, so use it at your own risk.

Meanwhile Cecil is recommending that I DO use VDPAU because XVMC does not work on this card (the same card in Atomic Ant). Is VDPAU necessary for this card? It certainly isn't working for me now without it in either r5.5 or 6 -- maxed CPU, .5 fps and freezes, versus 15% CPU and perfect two streams of ATSC with myth-vdpau (but broken transcoding and flagging). Any alternative-to-VDPAU help would be hugely, enormously appreciated! I don't need VDPau, just a solution. I've been on these forums for weeks getting much appreciated hardware recommendations for my computer, and making painful purchases, and I do hope and pray for a simple solution finally to get a working machine in time for the OTA changeover :(

_________________
==========
Knoppmyth R6 Preview auto - Dell Dimension 2400 2.4 GHz - 1.2gb ram - Sparkle GeForce 8400GS (was MX4000 128MB) PCI TV-out - HDHomeRun dual ATSC over gigabit. It's not Greek to me, just Linux


Top
 Profile  
 
 Post subject:
PostPosted: Wed Mar 11, 2009 4:26 pm 
Offline
Joined: Tue Jan 13, 2009 6:12 am
Posts: 80
Seems updating the scripts, as per Jams simple answer for mythtv media playback not working,
Murder she wrote:
pacman -S linhes-scripts

also fixed the mythtranscode and mythcommflag problems.

If I did anything else, I've forgotten and it's lost in time. But hopefully folks the solution is this simple -- just make sure its a post .07 preview release, or otherwise update the linhes scripts (whatever that means :) ) as per above. To be sure, I updated the linhes scripts before re-installing VDPAU if there happen to be any happy accident vodoo in that.

Cheereo. I... think... after months.... that my Mythbox is working now. VDPAU required to solve stuttering. Basic MythTV functions working now. Not. Touching. Anything.

_________________
==========
Knoppmyth R6 Preview auto - Dell Dimension 2400 2.4 GHz - 1.2gb ram - Sparkle GeForce 8400GS (was MX4000 128MB) PCI TV-out - HDHomeRun dual ATSC over gigabit. It's not Greek to me, just Linux


Top
 Profile  
 
 Post subject:
PostPosted: Sun May 31, 2009 8:11 am 
Offline
Joined: Sun Sep 04, 2005 7:48 pm
Posts: 264
Location: Perth, Australia
Hi all,

At risk of re-igniting the vdpau flame, i have stumbled upon this thread as my recently upgraded linhes R6 (to mythtv-vdpau) has caused mythtranscode to error.

My mobo is powerful enough to run without vdpau, but the processing savings are incredible when using it. HD went down from 20% to 1-2%... i like this alot, mostly as i'm a tinkerer.
The knock-on effect of using vpdau is that some of the ancillary features of mythtv (commercial detection and transcoding) do not appear to work with the mythtv-vdpau installed.

Has anyone had either
1) Any luck getting the extra myth stuff (e.g. mythtranscode) to work when using mythtv-vdpau, or
2) Any luck determining when/if vdpau is likely to be in mainstream mythtv packages (0.21-fixes)?

I guess i'm after some guidance/clues as to whether to revert to non-vdpau, or persue a fix for the ancillary mythtv stuff (which could be a painful and non-linhes preferred method).

I'm still amazed at just how good this vdpau stuff is... and also, just how easy it is to install (and swap back to non-vdpau) under linhes. My congrats to this jams fellow for the pacman stuff, it is a wonderous thing.

Cheers,

Nathan

_________________
LinHES: R6 | MB: Asus M3N-H/HDMI | CPU: AMD ??Mhz
Capture: 2xHDHR DVB-T
Graphics: Onboard 8300|PSU: Corsair vx450w
Cooling: Zalman cu?,
Display: Benq xx projector


Top
 Profile  
 
 Post subject:
PostPosted: Mon Jun 01, 2009 1:57 am 
Offline
Joined: Tue Jan 13, 2009 6:12 am
Posts: 80
Remember the cold war era bumper sticker, "Better Dead Than Red"? Well "Better Dead Than VDPau" is the mantra here. I have no desire to use the not-ready-for-primetime VDPau. I don't like it. VDPau is not a "bonus" for me. It is a necessity. The issue is, some of us NEED VDPau. The more we help each other make it work, the better is the world. (However, I recognize that for you it IS a bonus -- you have a rockin' machine without it.)

All I can say is as of the version of R6 in March, updating the scripts:

pacman -S linhes-scripts

Fixed the mythtranscode crashing problem. Also, I got other non-essential features to work again with this:

http://knoppmyth.net/phpBB2/viewtopic.p ... 261#121261

My Myth-vdpau box has been in flawless heavy use with OTA ATSC for more than a month now.

I'd love to know if myth-vdpau is broken again in the current R6 releases. The above fixed problems for me in March, and my box has been humming ever since. Hence, I am scared to death to upgrade, especially if your experience means it is broken again. Is it not working for you still?

I know some people have a categorical opposition to VDPAU because it is unfinished business. "It is not supported" is the line.

Everything that can help more people enjoy Linhes I'm all for. It's a different world now with ATSC. With supported solutions, only newer more expensive hardware passes muster, but obviously it does not need to be that way.

Maybe I'm sounding a little sour, so I apologize. It took me months to get things working, and it turned out the solutions were all very basic, things I did not know and had trouble getting. I will say, people here, when I finally crossed paths with their amazing inner brains -- including those at the very top like Jams and Cecil -- have made all the difference for me. Knoppmyth / Linhes is the best MythTV project out there. To my mind, the mainstreaming of VDPAU will only be beneficial to its best reach and viability. I mean, in the Windows world the equivalent has been a done deal for a long time now. I can run a dumb DVR in XP on this machine no problem, but what I need to do so in LinHes is still unsupported mid-2009. It's no particular individual's fault... still, it's kind of an embarrassment for team 'nix / myth that yesterday's Microsoft smears it performance-wise ;)

VDPau should be taken into consideration, even if it remains in a chronically inconvenient state. It would be a better world. Again I'll say -- I have no desire to use VDPau, I dislike it. I have only the need. "Better VDPau than Doorstop".

As far as question 2, I have no idea. Look forward to finding out the state of things is :)

_________________
==========
Knoppmyth R6 Preview auto - Dell Dimension 2400 2.4 GHz - 1.2gb ram - Sparkle GeForce 8400GS (was MX4000 128MB) PCI TV-out - HDHomeRun dual ATSC over gigabit. It's not Greek to me, just Linux


Top
 Profile  
 
 Post subject:
PostPosted: Mon Jun 01, 2009 6:46 am 
Offline
Joined: Sun Sep 04, 2005 7:48 pm
Posts: 264
Location: Perth, Australia
Hey there,

I only upgraded to a new platform, once my P4 prescott melted itself down, but if i was to go again, i'd be looking at those atom dual cores.. i'm green at heart :)

The reason vdpau interests me is that i like efficiency, which is also one of the main reasons for loving KM. The KM device does the job, even with me tinkering around the edges!

The main reason for this post was to inform mrPoop that the latest pacman R6 upgrade appears to have broken the "nice to haves", and the simple trick using pacman update of the linhes-scripts appears to not work in May/June.

I'm interested to see how this progresses, but i'm guessing the answer is that once vpdau is supported in mythtv (e.g. 0.22) then KM will deliver it. From my perspective, this is fine, although i understand mrPoops position, as if i was still heating my living room with the P4, I would need some XvMc/vdpau magic to see HD.

Me thiks its time to revert to non-vpdau mythtv in KM.

Interesting times,

Nathan

_________________
LinHES: R6 | MB: Asus M3N-H/HDMI | CPU: AMD ??Mhz
Capture: 2xHDHR DVB-T
Graphics: Onboard 8300|PSU: Corsair vx450w
Cooling: Zalman cu?,
Display: Benq xx projector


Top
 Profile  
 
 Post subject:
PostPosted: Mon Jun 01, 2009 5:30 pm 
Offline
Joined: Tue Jan 13, 2009 6:12 am
Posts: 80
Quote:
i'm guessing the answer is that once vpdau is supported in mythtv (e.g. 0.22) then KM will deliver it. From my perspective, this is fine


Actually, I get that -- it is kosher and sensible. I guess we're faced though with unusual circumstances: .22 is so ambitious and long in coming, and when it does arrive, it'll still be running to keep up. So I guess I'm trying to make a case for what is not totally Kosher, in response to an "extraordinary" moment -- for LinHes development to divert some attention to a kind of VDPAU kludge (experimental "advanced install option" perhaps) for the time-being, simply because people need HD acceleration now, not later. June 12 is just around the corner here in the U.S.A. The loss of XVmC support in current cards actually shoves LinHES back to the stone age relative to Windows in this regard. To not be able to deliver ANY acceleration to a sizeable potential user base -- through no fault of LinHes of course -- means dialing down the iris on the number of people who can benefit from LinHes. In the business world, that would be the beginning of the end, a so-called long run for a short slide.

If LinHes waits for .22 before BEGINNING its support of it, will it be before 2010 that user friendly acceleration is available in LinHES?

You mention XVmC -- so its worth noting that the newer cards do NOT support that anymore, as I learned the hard way.

And thank you for the heads up re: the current R6! Again, don't take my general "urging" to the LinHES powers that be as any kind of disrespect, or lack of gratitude for what they do. Just trying to assert my .02 as a user who would be dead in the water without that stupid VDPAU I have no choice but use.

:)

-wp

P.S. Anybody have a trouble-free install of VDPAU in this new r6 release?

_________________
==========
Knoppmyth R6 Preview auto - Dell Dimension 2400 2.4 GHz - 1.2gb ram - Sparkle GeForce 8400GS (was MX4000 128MB) PCI TV-out - HDHomeRun dual ATSC over gigabit. It's not Greek to me, just Linux


Top
 Profile  
 

Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 23 posts ] 
Go to page Previous  1, 2



All times are UTC - 6 hours




Who is online

Users browsing this forum: Bing [Bot] and 11 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
Powered by phpBB® Forum Software © phpBB Group

Theme Created By ceyhansuyu